// BattleShip01Dlg.h : header file
//

#if !defined(AFX_BATTLESHIP01DLG_H__69EF5387_E7A4_11D1_A43D_444553540000__INCLUDED_)
#define AFX_BATTLESHIP01DLG_H__69EF5387_E7A4_11D1_A43D_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "BtlShp1.h"

/////////////////////////////////////////////////////////////////////////////
// CBattleShip01Dlg dialog

class CBattleShip01Dlg : public CDialog
{
// Construction
public:
	 ~CBattleShip01Dlg();
	CBattleShip01Dlg(int numRows, int numColumns, 
        CWnd* pParent = NULL);	// standard constructor
	void drawSymbol(CDC *pdc, HICON hIcon, int col, int row);

// Dialog Data
	//{{AFX_DATA(CBattleShip01Dlg)
	enum { IDD = IDD_BATTLESHIP01_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBattleShip01Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBattleShip01Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	HICON m_hIconCircle;
	void drawGrid(CDC *pdc);
    int       m_numRows;
    int       m_numColumns;
    int       m_xBorder;
    int       m_yBorder;
    int       m_cellWidth;
    int       m_cellHeight;
    int       m_ShipNo;
    int       m_ShipSunked;
    int       m_shotTried;
    Ship      *m_pShip[4];
    TwoDArray *m_pCell;

    void newShipPos(int length, int *init_x, int *init_y,
                    int *xdir, int *ydir);
    int shipOverlapped(int length, int init_x, int init_y, int xdir, int ydir);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BATTLESHIP01DLG_H__69EF5387_E7A4_11D1_A43D_444553540000__INCLUDED_)
