#if !defined(AFX_BTLSHP1_H__55675387_E7A4_11D1_A43D_444553540000__INCLUDED_)
#define AFX_BTLSHP1_H__55675387_E7A4_11D1_A43D_444553540000__INCLUDED_

class CBattleShip01Dlg;

class Random
{
public:
    Random();
    int next(int low, int high);
};

//-------------------------------------------------------------------------

class Ship
{
public:
    Ship(int length, int init_x, int init_y, int xdir, int ydir);
    virtual int hit(int xtarget, int ytarget);
    void draw(CDC *pdc, CBattleShip01Dlg *pBoard);
    int getTouched(Ship ship);
    int isSunked();
protected:
    int m_length;
    int m_xpos[6];
    int m_ypos[6];
    int m_sunk;
private:
	HICON m_hIconPound;
	HICON m_hIconCross;
};

//-------------------------------------------------------------------------

class BigShip : public Ship
{
public:
    BigShip(int length, int init_x, int init_y, int xdir, int ydir);
    virtual int hit(int xtarget, int ytarget);
private:
    int m_numberOfHits;
};

//-------------------------------------------------------------------------

class TwoDArray
{
public:
    TwoDArray(int xdim, int ydim);
    ~TwoDArray();
    char& elemAt(int x_index, int y_index);
private:
    static char invalid;
    TwoDArray(const TwoDArray &src);
    char *elems;
    int  m_xdim, m_ydim;
};

#endif